DOMNode::cloneNode
DOMNode::getNodePath
DOMNode
PHP Manual

# DOMNode::getLineNo

Get line number for a node

### Description

public int DOMNode::getLineNo ( void )

Gets line number for where the node is defined.

### Parameters

This function has no parameters.

### Return Values

Always returns the line number where the node was defined in.

### Examples

Example #1 DOMNode::getLineNo example

`<?php
// XML dump for below example
$xml = <<<XML
<?xml version="1.0" encoding="utf-8"?>
<root>
<node />
</root>
XML;
// Create a new DOMDocument instance
$dom = new DOMDocument;
// Load the XML
$dom->loadXML($xml);
// Print where the line where the 'node' element was defined in
printf('The <node> tag is defined on line %d', $dom->getElementsByTagName('node')->item(0)->getLineNo());
?>`

The above example will output:

    The <node> tag is defined in line 3